<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('informasis', function (Blueprint $table) {
            $table->id();
            $table->string('penyakitId');
            $table->string('judul');
            $table->string('slug');
            $table->string('gambar');
            $table->string('penulis');
            $table->longText('artikel');
            $table->timestamps();

            // Relation
            $table->foreign('penyakitId')
                  ->references('penyakitId')
                  ->on('penyakits')
                  ->cascadeOnDelete()
                  ->cascadeOnUpdate();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('informasis');
    }
};
